Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-02-2020 14:25:06

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

[RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Bonjour, suite à un mise à jour, je ne suis plus en mesure d'imprimer car CUPS est complètement buggué suite à une mise à jour.
J'ai désinstaller CUPS, mais impossible de le ré-installer, voici le message d'erreur :

apt install cups


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 cups : Dépend: cups-common (>= 2.3.1-5) mais il n'est pas installable
        Dépend: cups-server-common (>= 2.3.1-5) mais il n'est pas installable
        Dépend: cups-client (>= 2.3.1-5) mais ne sera pas installé
        Dépend: cups-ppdc mais ne sera pas installé
        Recommande: colord mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 


Quelqu'un pour me filer un coup de pouce svp ?

Dernière modification par SuShY (12-02-2020 22:08:15)

Hors ligne

#2 09-02-2020 07:35:12

LaFouine
Membre
Distrib. : Debian testing
Noyau : 4.19.0-4-amd64
(G)UI : Xfce
Inscription : 10-04-2017

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

tu aurai pas mélanger les depot apt ?



cat /etc/apt/sources.list

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

 



c'est le mien, aprai le sujet étant complex je laisse la main a ce qui maîtrise mieux le sujet


Debian testing, nvidia 980 gtx sli, cm asurock 16 gb ram cpu i7 4,2 ghz

Hors ligne

#3 09-02-2020 08:22:56

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

En étant sur sid il faut s'attendre à ce genre de situation.
Sid n'étant pas stable, les mises à jour demandent une certaine vigilance sinon on finit dans ton cas précis.

T'as pas dû lire ce que Apt listbugs disait.
C'était déclaré le bug comme quoi cups cassé.

Comme toujours avec sid dans ce genre de situation il suffit de pas mettre à jour et d'attendre patiemment quelques jours.

Où tu mets à jour mais tu "pines" les logiciels bogués (en appuyant sur le touche P quand apt listbugs t'annonce le fameux bug)
Comme ça ton système se met à jour tout en bloquant la version de cups actuelle jusque là nouvelle version en amont corrige le soucis.

Dernière modification par melissa6969 (09-02-2020 08:24:24)


Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#4 09-02-2020 10:24:13

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Hello,
En effet, la situation est résolu à ce matin, fallait juste attendre un peu.
@melissa6969 : j'ai bien apt-listbugs mais celui ci ne m'as pas mis d'alerte.

Hors ligne

#5 09-02-2020 10:49:39

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

t'as du mettre à jour ton système très rapidement après que cups soit arrivé dans les dépos de Sid, du coup t'as pas dû avoir le rapport de bugs (il devait tout simplement pas encore exister)

j'ai mis à jour mon système hier vers 21h et le problème était présent mais j'avais un bugreport qui m'avertissait du soucis.
et ce matin plus rien, donc en à peine 12h le problème est résolu, ils sont réactifs quand même chez Debian, y a pas à dire big_smile

Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#6 09-02-2020 13:36:13

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

melissa6969 a écrit :

t'as du mettre à jour ton système très rapidement après que cups soit arrivé dans les dépos de Sid, du coup t'as pas dû avoir le rapport de bugs (il devait tout simplement pas encore exister)

Yes je pense que c'est ça

Hors ligne

#7 09-02-2020 14:07:01

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Petite question un peu bête mais tu fais tes mises a jour de quelle façon.??
Via gnome-software.??
T'as un applet qui t'averti dès qu'il y a des mises a jour.??
Ou t'y fais via le terminal à n'importe quel moment.??

Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#8 09-02-2020 14:18:32

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Via le terminal à n'importe quel moment.

Hors ligne

#9 09-02-2020 20:58:56

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Bon on dirait qu'avec tout ça, plus rien ne fonctionne correctement, je ne peux plus imprimer, voici les status sur CUPS :

  • Etat de l'imprimante qui est allumée : Inoccupée

  • Lorsque que je lance une impression, rien ne se passe, voici le statut de la tâche : arrêté "Filter failed"


Si vous avez des idées, je suis preneur.
Le driver de mon imprimante est installée depuis ce site internet : https://support.hp.com/us-en/drivers/se … s/16462807
La fonction scan ne fonctionne plus également : périphérique trouvé mais logiciel manquant alors qu'avec le pilote ci-dessus tout à toujours fonctionné.

Hors ligne

#10 09-02-2020 21:12:50

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Hors ligne

#11 09-02-2020 21:15:48

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Je possède une imprimante Samsung smile

Hors ligne

#12 09-02-2020 21:27:22

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

samsung a été racheté par  H.P.

ton imprimante samsung

le pilote à télécharger (dans ~/téléchargements)

décompacte l'archive et donne le retour de :

ls uld

normalement :

i386                install.sh            uninstall-scanner.sh
install-printer.sh  noarch                uninstall.sh
install-scanner.sh  uninstall-printer.sh  x86_64
 

Dernière modification par Debian Alain (09-02-2020 21:27:52)

Hors ligne

#13 09-02-2020 21:28:59

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

@Debian_Alain, ok installation déjà faite mais cela ne fonctionne pas.
Je pense que c'est un bug de cups qui fout le bazarre, par HPLIPje ne trouve pas référence de la mienne.

Hors ligne

#14 09-02-2020 21:38:49

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

j'ai failli me tromper aussi .

ton imprimante ne dépends pas de hplip mais du pilote que je t' ai indiqué plus haut . tu as bien vu .

commence par tout desinstaller .

et hplip , et  uld ( sudo bash uninstall.sh) , redémarre et reinstalle (sudo bash install.sh)

si çà ne fonctionne toujours pas , poste nous les retours de ceci :

lsusb


dmesg -l err


dmesg -l warn


journalctl -r -p err

Hors ligne

#15 09-02-2020 22:02:14

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Non cela ne fonctionne pas, voici les retours :

lsusb


Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 0bda:0411 Realtek Semiconductor Corp. 4-Port USB 3.0 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 0bda:5411 Realtek Semiconductor Corp. 4-Port USB 2.0 Hub
Bus 001 Device 004: ID 046d:c33a Logitech, Inc. G413 Gaming Keyboard
Bus 001 Device 003: ID 046d:c24e Logitech, Inc. G500s Laser Gaming Mouse
Bus 001 Device 002: ID 1e71:170e NZXT NZXT USB Device
Bus 001 Device 007: ID 04e8:3469 Samsung Electronics Co., Ltd M2070 Series



dmesg -l err


rien



dmesg -l warn


[    0.000000] secureboot: Secure boot could not be determined (mode 0)
[    0.177026] MDS CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html for more details.
[    0.177026] TAA CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/tsx_async_abort.html for more details.
[    0.177026]   #7  #8  #9 #10 #11
[    0.968558] usb: port power management may be unreliable
[    3.546250] MXM: GUID detected in BIOS
[  126.679997] WARNING! power/level is deprecated; use power/control instead



journalctl -r -p err


-- Logs begin at Sat 2020-02-01 11:48:43 CET, end at Sun 2020-02-09 22:01:07 CET. --
févr. 09 21:56:56 DEBIAN systemd-udevd[339]: /etc/udev/rules.d/S99-2000S1.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring
févr. 09 21:56:56 DEBIAN systemd-udevd[339]: /etc/udev/rules.d/40-libsane.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring
févr. 09 21:55:48 DEBIAN systemd[1353]: Failed to start Dunst notification daemon.
févr. 09 21:55:16 DEBIAN systemd[1291]: Failed to start Dunst notification daemon.
févr. 09 21:55:07 DEBIAN avahi-daemon[774]: chroot.c: open() failed: No such file or directory
févr. 09 21:55:06 DEBIAN systemd-udevd[339]: /etc/udev/rules.d/S99-2000S1.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring
févr. 09 21:55:06 DEBIAN systemd-udevd[339]: /etc/udev/rules.d/40-libsane.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring
-- Reboot --

Hors ligne

#16 10-02-2020 08:39:19

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

alors , au vu des  résultats :
(journalctl)
les tous derniers donnent des erreurs systemd - udev :
à priori systeme défectueux (mal installé ? matériel trop vieux ?)
pourtant , si je lis bien , c'est p ê un souci avec libsane (les librairies du scanner ?)

(dmesg)
tu as quoi comme proc : ?

lscpu


et comme C.M. ?

lshw -C bus | head -6


aussi comme ram : ?

free -h

Dernière modification par Debian Alain (10-02-2020 08:53:26)

Hors ligne

#17 10-02-2020 18:41:45

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Voici les infos, mon PC est très récent.

lscpu


Architecture :                          x86_64
Mode(s) opératoire(s) des processeurs : 32-bit, 64-bit
Boutisme :                              Little Endian
Tailles des adresses:                   39 bits physical, 48 bits virtual
Processeur(s) :                         12
Liste de processeur(s) en ligne :       0-11
Thread(s) par cœur :                    2
Cœur(s) par socket :                    6
Socket(s) :                             1
Nœud(s) NUMA :                          1
Identifiant constructeur :              GenuineIntel
Famille de processeur :                 6
Modèle :                                158
Nom de modèle :                         Intel(R) Core(TM) i7-8700 CPU @ 3.20GHz
Révision :                              10
Vitesse du processeur en MHz :          800.167
Vitesse maximale du processeur en MHz : 4600,0000
Vitesse minimale du processeur en MHz : 800,0000
BogoMIPS :                              6399.96
Virtualisation :                        VT-x
Cache L1d :                             192 KiB
Cache L1i :                             192 KiB
Cache L2 :                              1,5 MiB
Cache L3 :                              12 MiB
Nœud NUMA 0 de processeur(s) :          0-11
Vulnerability Itlb multihit:            KVM: Mitigation: Split huge pages
Vulnerability L1tf:                     Mitigation; PTE Inversion; VMX conditional cache flushes, SMT vulnerable
Vulnerability Mds:                      Vulnerable: Clear CPU buffers attempted, no microcode; SMT vulnerable
Vulnerability Meltdown:                 Mitigation; PTI
Vulnerability Spec store bypass:        Mitigation; Speculative Store Bypass disabled via prctl and seccomp
Vulnerability Spectre v1:               Mitigation; usercopy/swapgs barriers and __user pointer sanitization
Vulnerability Spectre v2:               Mitigation; Full generic retpoline, IBPB conditional, IBRS_FW, STIBP conditional, RSB filling
Vulnerability Tsx async abort:          Vulnerable: Clear CPU buffers attempted, no microcode; SMT vulnerable
Drapeaux :                              fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm
                                         constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 sss
                                        e3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch cpuid_fault
                                         invpcid_single pti ssbd ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid ept_ad fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm m
                                        px rdseed adx smap clflushopt intel_pt xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts hwp hwp_notify hwp_act_window hwp_epp flush_l1d



lshw -C bus | head -6


  *-core                    
       description: Carte mère
       produit: Z370 PC PRO (MS-7B49)
       fabriquant: Micro-Star International Co., Ltd.
       identifiant matériel: 0
       version: 1.0



free -h


              total        used        free      shared  buff/cache   available
Mem:           15Gi       2,1Gi        11Gi       283Mi       2,1Gi        12Gi
Swap:          11Gi          0B        11Gi

Hors ligne

#18 11-02-2020 12:24:26

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

avec le nom générique de lsub , on voit que ton imprimante n'est pas supportée par cups .

https://debian-facile.org/doc:reseau:cups

lpinfo --make-and-model "samsung M2070" -m


lpinfo: client-error-not-found



chez moi :

sudo lpinfo --make-and-model "hp envy 5530" -m


[sudo] Mot de passe de alain :
drv:///hpijs.drv/hp-envy_5530_series-hpijs.ppd HP Envy 5530 Series hpijs, 3.19.12
hplip:0/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:1/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:2/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:3/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:4/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:5/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:6/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip:7/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:0/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:1/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:2/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:3/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:4/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:5/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:6/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
hplip-data:7/ppd/hplip/HP/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
drv:///hpcups.drv/hp-envy_5530_series.ppd HP Envy 5530 Series, hpcups 3.19.12
everywhere IPP Everywhere
 



lsusb


... / ...
Bus 003 Device 002: ID 03f0:c311 HP, Inc ENVY 5530 series
... / ...
 

Hors ligne

#19 11-02-2020 21:05:11

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Debian Alain a écrit :

avec le nom générique de lsub , on voit que ton imprimante n'est pas supportée par cups .

Pourtant avant la mise à jour tout fonctionné très bien, impression et scanner.
Possible de forcer l'installer de CUPS avec une autre version que la dernière ?

Hors ligne

#20 11-02-2020 21:18:42

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Tu as quel imprimante SuShY ?

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

En ligne

#21 11-02-2020 21:35:31

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

apt-get install cups cups-common cups-client cups-bsd cups-driver-gutenprint
system-config-printer  system-config-printer-udev cups-pdf


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

En ligne

#22 11-02-2020 22:32:09

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

SuShY a écrit :

Debian Alain a écrit :

avec le nom générique de lsub , on voit que ton imprimante n'est pas supportée par cups .

Pourtant avant la mise à jour tout fonctionné très bien, impression et scanner.
Possible de forcer l'installer de CUPS avec une autre version que la dernière ?



oui t'as deux choix possibles qui me viennent en tête.
le premier c'est de tout simplement mettre testing dans ton sourcelist, et installer via ce dépot cups et tout le tralala utile pour ton imprimante, avec

sudo apt install -t testing cups et tout tes paquets nécessaires


ensuite marquer comme hold tous les paquets concernés, et tu sera tranquille.

ou seconde méthode un peu + brutal et casse-gueule si tu sais pas trop où tu mets les pieds.
carrément piocher cups et tout le tralala dans les dépots de stable (donc buster) (en ajoutant buster dans ton sourcelist) et faire un fichier de préférence pour empêcher apt de mettre à niveau cups.

mais ça peut être très casse-gueule si ça demande trop de dépendances, surtout les libc, qui elles supporteront pas un tel mélange, des vieilles libc sur une sid, c'est clairement voué à exploser.

j'ai appliqué cette 2e méthode avec le kernel.
j'ai pas le kernel de sid (il est bloqué via mon fichier de préférence apt) parce que j'ai que des problèmes avec, et je reste sur le kernel de stable.

du coup l'an passé j'avais le kernel de stretch sur sid, et là j'ai le kernel de buster sur sid, le tout se met à jour automatiquement donc pas de soucis de ce côté là (comme là pour le passage de buster 10.2 à 10.3, j'ai bien eu le kernel de la 10.3 dans les mises à jour disponibles de sid)

mais j'utilise pas de pilote proprio donc je peux me permettre cette "folie" et le pire c'est que ça fonctionne super bien, et au moins les kernels trop récents me posent pas problème, et le kernel lts de stable fonctionnera toujours bien avec ma config "exotique"

mais je déconseille à quiconque d'y faire quand même, parce qu'il suffit d'avoir un seul pilote proprio, et c'est le drame assuré...

j'utilise cette méthode parce que j'ai la flemme de devoir compiler le kernel lts, mais si tous les kernels 5.* et suivant, me posent toujours les mêmes soucis, je serais condamnée à me taper de la compil de kernel, parce que je veux pas non plus rester avec un vieux kernel lts plus maintenu par l'équipe debian (même si j'ai 5 ans avec buster si je compte la prise en charge lts de 2 ans)
mais d'ici là mon pc aura probablement claqué (7 ans dans les pattes + encore 5 ans à venir, ça commence à faire vieux) lol

Dernière modification par melissa6969 (11-02-2020 22:38:18)


Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#23 11-02-2020 23:03:02

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Bon tout est résolu !
Pour la partie impression, il manquait simplement ce paquet : libcupsimage2
Pour la partie scanner, il manquait le paquet suld-scanner-usblp-fix
Merci à tous pour votre aide.

Dernière modification par SuShY (11-02-2020 23:38:42)

Hors ligne

#24 12-02-2020 09:27:16

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Je pensais à une chose, Ça serait peut-être bien de mettre "samsung M2078W" dans le titre smile À moins que ce soit valable pour plusieurs imprimantes !

Dernière modification par Jean-Pierre Pinson (12-02-2020 09:28:41)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

En ligne

#25 12-02-2020 22:08:37

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.9.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] CUPS : impossible de l'utiliser | Samsung M2078W

Jean-Pierre Pinson a écrit :

Je pensais à une chose, Ça serait peut-être bien de mettre "samsung M2078W" dans le titre smile À moins que ce soit valable pour plusieurs imprimantes !

Bonne idée, c'est fait.

Hors ligne

Pied de page des forums